package cn.ccy.test_weather_model;

import java.util.ArrayList;

import android.os.Parcel;
import android.os.Parcelable;

public class WeatherDetail implements Parcelable {

	private String Todaydate = "";
	private String weatherCurrent = "";
	private String updateTime = "";
	private String weatherToday = "";
	private String TodayT = "";
	private String TodayWindPower = "";
	private String city = "";
	private String all = "";
	private String weatherTomorrow = "";
	private String tomorrowT = "";
	private String tomorrowWindPower = "";
	private String tomorrowIcon1 = "";
	private String tomorrowIcon2 = "";
	private String weatherThirdDay = "";
	private String ThirdDayT = "";
	private String ThirdDayWindPower = "";
	private String ThirdDayIcon1 = "";
	private String ThirdDayIcon2 = "";
	private String weatherFourthDay = "";
	private String FourthDayT = "";
	private String FourthDayWindPower = "";
	private String FourthDayIcon1 = "";
	private String FourthDayIcon2 = "";

	public String getFourthDayIcon1() {
		return FourthDayIcon1;
	}

	public String getFourthDayIcon2() {
		return FourthDayIcon2;
	}

	public String getFourthDayT() {
		return FourthDayT;
	}

	public String getFourthDayWindPower() {
		return FourthDayWindPower;
	}

	public String getWeatherFourthDay() {
		return weatherFourthDay;
	}

	public String getThirdDayIcon1() {
		return ThirdDayIcon1;
	}

	public String getThirdDayIcon2() {
		return ThirdDayIcon2;
	}

	public String getThirdDayT() {
		return ThirdDayT;
	}

	public String getThirdDayWindPower() {
		return ThirdDayWindPower;
	}

	public String getWeatherThirdDay() {
		return weatherThirdDay;
	}

	public String getTodaydate() {
		return Todaydate;
	}

	public String getAll() {
		return all;
	}

	public String getTodayT() {
		return TodayT;
	}

	public String getTodayWindPower() {
		return TodayWindPower;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public String getWeatherCurrent() {
		return weatherCurrent;
	}

	public String getWeatherToday() {
		return weatherToday;
	}

	public String getCity() {
		return city;
	}

	public String getTomorrowT() {
		return tomorrowT;
	}

	public String getTomorrowWindPower() {
		return tomorrowWindPower;
	}

	public String getWeatherTomorrow() {
		return weatherTomorrow;
	}

	public String getTomorrowIcon1() {
		return tomorrowIcon1;
	}

	public String getTomorrowIcon2() {
		return tomorrowIcon2;
	}

	public void setContent(ArrayList<String> list) {
		this.updateTime = list.get(0);
		this.weatherCurrent = list.get(1);
		this.Todaydate = list.get(2);
		this.weatherToday = list.get(3);
		this.TodayT = list.get(4);
		this.TodayWindPower = list.get(5);
		this.city = list.get(6);
		this.all = list.get(7);
		this.weatherTomorrow = list.get(8);
		this.tomorrowT = list.get(9);
		this.tomorrowWindPower = list.get(10);
		this.tomorrowIcon1 = list.get(11);
		this.tomorrowIcon2 = list.get(12);
		this.weatherThirdDay = list.get(13);
		this.ThirdDayT = list.get(14);
		this.ThirdDayWindPower = list.get(15);
		this.ThirdDayIcon1 = list.get(16);
		this.ThirdDayIcon2 = list.get(17);
		this.weatherFourthDay = list.get(18);
		this.FourthDayT = list.get(19);
		this.FourthDayWindPower = list.get(20);
		this.FourthDayIcon1 = list.get(21);
		this.FourthDayIcon2 = list.get(22);

	}

	public static final Parcelable.Creator<WeatherDetail> CREATOR = new Creator<WeatherDetail>() {

		public WeatherDetail createFromParcel(Parcel source) {
			// TODO Auto-generated method stub
			WeatherDetail cus = new WeatherDetail();

			cus.Todaydate = source.readString();
			cus.weatherCurrent = source.readString();
			cus.weatherToday = source.readString();
			cus.TodayT = source.readString();
			cus.TodayWindPower = source.readString();
			cus.updateTime = source.readString();
			cus.city = source.readString();
			cus.all = source.readString();
			cus.weatherTomorrow = source.readString();
			cus.tomorrowT = source.readString();
			cus.tomorrowWindPower = source.readString();
			cus.tomorrowIcon1 = source.readString();
			cus.tomorrowIcon2 = source.readString();
			cus.weatherThirdDay = source.readString();
			cus.ThirdDayT = source.readString();
			cus.ThirdDayWindPower = source.readString();
			cus.ThirdDayIcon1 = source.readString();
			cus.ThirdDayIcon2 = source.readString();
			cus.weatherFourthDay = source.readString();
			cus.FourthDayT = source.readString();
			cus.FourthDayWindPower = source.readString();
			cus.FourthDayIcon1 = source.readString();
			cus.FourthDayIcon2 = source.readString();
			return cus;
		}

		public WeatherDetail[] newArray(int size) {
			return new WeatherDetail[size];
		}

	};

	@Override
	public int describeContents() {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {

		dest.writeString(Todaydate);
		dest.writeString(weatherCurrent);
		dest.writeString(weatherToday);
		dest.writeString(TodayT);
		dest.writeString(TodayWindPower);
		dest.writeString(updateTime);
		dest.writeString(city);
		dest.writeString(all);
		dest.writeString(weatherTomorrow);
		dest.writeString(tomorrowT);
		dest.writeString(tomorrowWindPower);
		dest.writeString(tomorrowIcon1);
		dest.writeString(tomorrowIcon2);
		dest.writeString(weatherThirdDay);
		dest.writeString(ThirdDayT);
		dest.writeString(ThirdDayWindPower);
		dest.writeString(ThirdDayIcon1);
		dest.writeString(ThirdDayIcon2);
		dest.writeString(weatherFourthDay);
		dest.writeString(FourthDayT);
		dest.writeString(FourthDayWindPower);
		dest.writeString(FourthDayIcon1);
		dest.writeString(FourthDayIcon2);
	}

}
